package com.hzya.frame.sysnew.messageManageLog.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sysnew.messageManageLog.entity.SysMessageManageLogEntity;
import com.hzya.frame.sysnew.messageManageLog.entity.SysMessageManageLogPageVo;

import java.util.List;

/**
 * 消息管理日志(sys_message_manage_log: table)表数据库访问层
 *
 * @author makejava
 * @since 2023-08-28 16:48:34
 */
public interface ISysMessageManageLogDao extends IBaseDao<SysMessageManageLogEntity, String> {

    List<SysMessageManageLogPageVo> queryListByPageVo(SysMessageManageLogEntity entity);

    List<SysMessageManageLogPageVo> queryListByErrorPageVo(SysMessageManageLogEntity entity);

    //备份日志数据
    List<SysMessageManageLogEntity> queryBackupData(SysMessageManageLogEntity entity);

    //批量更新日志数据
    Integer updateBackupData(List<SysMessageManageLogEntity> entities);

    //批量删除日志数据
    Integer deleteBackupData(List<SysMessageManageLogEntity> entities);

    List<String> querySysMessageManageLogIds(SysMessageManageLogEntity entity);

}

